For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
            • GETList Wishlists
            • POSTCreate Wishlist
            • GETGet Wishlist
            • PUTUpdate Wishlist
            • DELDelete Wishlist
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementWishlists

Create Wishlist

POST
https://api.bigcommerce.com/stores/:store_hash/v3/wishlists
POST
/stores/:store_hash/v3/wishlists
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/wishlists \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customer_id": 12
>}'
1{
2 "data": {
3 "id": 30,
4 "customer_id": 10,
5 "name": "Christmas List",
6 "is_public": true,
7 "token": "d2d55481-13eb-4d1e-9d79-9062b518570d",
8 "items": [
9 {
10 "id": 44,
11 "product_id": 77,
12 "variant_id": 1
13 },
14 {
15 "id": 45,
16 "product_id": 80,
17 "variant_id": 1
18 },
19 {
20 "id": 46,
21 "product_id": 81,
22 "variant_id": 1
23 },
24 {
25 "id": 47,
26 "product_id": 86,
27 "variant_id": 1
28 },
29 {
30 "id": 48,
31 "product_id": 88,
32 "variant_id": 1
33 }
34 ]
35 },
36 "meta": {}
37}
Creates a wishlist and wishlist item. More than one item can be added in the POST. **Required Fields** * name * customer_id
Was this page helpful?
Previous

List Wishlists

Next

Get Wishlist

Built with

Creates a wishlist and wishlist item. More than one item can be added in the POST.

Required Fields

  • name
  • customer_id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
customer_idintegerRequired
The customer id.
is_publicbooleanOptional
Whether the wishlist is available to the public.
namestringOptional
The title of the wishlist.
itemslist of objectsOptional
Array of wishlist items.

Response

dataobject
metaobject
Response metadata.

Errors

401
Unauthorized Error
500
Internal Server Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.